# class Sass::Script::Tree::Selector

A SassScript node that will resolve to the current selector.

### Public Class Methods

new() click to toggle source

    # File lib/sass/script/tree/selector.rb, line 4
    def initialize; end

### Public Instance Methods

children() click to toggle source

    # File lib/sass/script/tree/selector.rb, line 6
    def children
      []
    end

deep_copy() click to toggle source

    # File lib/sass/script/tree/selector.rb, line 14
    def deep_copy
      dup
    end

to_sass(opts = {}) click to toggle source

    # File lib/sass/script/tree/selector.rb, line 10
    def to_sass(opts = {})
      '&'
    end

### Protected Instance Methods

_perform(environment) click to toggle source

    # File lib/sass/script/tree/selector.rb, line 20
    def _perform(environment)
      selector = environment.selector
      return opts(Sass::Script::Value::Null.new) unless selector
      opts(selector.to_sass_script)
    end